Skip to main content
PATCH
Enable a schedule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

schedule_id
string
required

ID of the schedule to enable

Response

Successful Response

Response body for a schedule.

Schedule values are returned in their original timezone for user-friendly display.

schedule_id
string
required

ID of the schedule

schedule_name
string
required

Unique human readable name for the schedule

schedule
CronScheduleResponse · object
required

Cron-based schedule response with timezone-aware values.

The cron expression is dynamically converted from UTC back to the original timezone specified by the user for display purposes.

reference_id
string
required

Reference ID (e.g. workflow config ID) held in Data Readiness resources

config
NotificationConfig · object
required

Schedule configuration (currently only NOTIFICATION is supported)

enabled
boolean
required

Whether the schedule is ready to be triggered